[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.CreateParams

Initializes the window creation parameter record with the settings for the control.

## Declaration

Source position: controls.pp line 2290

`protected procedure TWinControl.CreateParams(`
`var Params: TCreateParams`
`); virtual;`

## Arguments

`Params` |  | Create parameters updated in the method.

## Description

CreateParams is a procedure used to initialize and/or update creation parameters in the Params argument. CreateParams is called from the CreateWnd method when the window handle is allocated for the control.

CreateParams ensures that values in the TCreateParams record instance contain the values needed for the class instance. The following members in the record are update:

Caption
  Set to the value in the Caption property.
Style
  Includes flag values: WS_CHILD, WS_CLIPSIBLINGS, WS_CLIPCHILDREN, and WS_TABSTOP when needed.
ExStyle
  Includes style values needed for the value in ControlStyle and BorderStyle.
WndParent
  Set to the handle in ParentWindow, or Parent.Handle when assigned.
X, Y, Width, Height
  Set to the property values in the class instance.

## See also

TWinControl.CreateWnd |  | Creates the interface object (widget) and assigns the value in Handle.
TCreateParams |  | Record type used to store window creation parameters.